bfb-tool(8)

NAME
bfb-tool - Tool for extracting and repackaging BFBs

SYNOPSIS
bfb-tool <action> --bfb <BFB> --psid <PSID>|--opn <OPN>|--all [-p|--profile <Profile>] [-o|--output-dir <dir>] [-f|--output-format <format>] [-B|--output-bfb] [-v|--verbose] [-j|--json]

DESCRIPTION
The bfb-tool is used for managing BFBs (bf-bundle/bf-fwbundle). It supports the following actions: extract, repack and info.

The repack action involves extracting and building a new BFB for a specific OPN/PSID.

OPTIONS

action
    Specify the action to perform. Supported actions are: extract, repack and info

    extract
        Extract the payload from the BFB.

    repack
        Extract and build a new BFB for a specific OPN/PSID.

    info
        Print version information for components contained in a BFB

--bfb <BFB>
    Specify the BFB file (either bf-bundle or bf-fwbundle).

--psid <PSID>
    Specify the PSID of the DPU for payload extraction.

--opn <OPN>
    Specify the OPN of the DPU for payload extraction.

--all
    Extract or repack for all applicable configurations.

-p, --profile <Profile>
    Specify a configuration profile.

-o, --output-dir <dir>
    Specify the directory where results will be stored.

-f, --output-format <format>
    Specify the output BFB format (bundle, flat). "bundle" format is the format for DPU mode (default). "flat" format is the format for NIC mode.

-B, --output-bfb <bfb>
    Specify output BFB file name. The default for bundle format: bf-fwbundle-<version>-prod-<OPN>.bfb The default for flat format: bf-fwbundle-<version>-prod-<OPN>.flat.bfb

-j, --json
    Print version information in JSON format

-v, --verbose
    Enable verbose mode for detailed output.

EXAMPLES

Extract payload from a BFB for a specific PSID:

bfb-tool extract --bfb bf-fwbundle-2.9.2-40_25.02-prod.bfb --psid MT_0000001070

Repack a BFB for a specific OPN:

bfb-tool repack --bfb bf-fwbundle-2.9.2-40_25.02-prod.bfb --opn 900-9D3B6-F2SV-PA0_Ax

SEE ALSO
mlx-mkbfb(8)

AUTHOR
Written by Vladimir Sokolovsky <vlad@nvidia.com>